summaryrefslogtreecommitdiffstats
path: root/dns/powerdns/pkg-install
diff options
context:
space:
mode:
authordinoex <dinoex@FreeBSD.org>2003-01-20 06:10:35 +0000
committerdinoex <dinoex@FreeBSD.org>2003-01-20 06:10:35 +0000
commitabd7fc12483fccd9efb9d13b2313a30b5c666683 (patch)
tree1600b22e5f6048cc38b29f7bcff0c57e02c2ccbc /dns/powerdns/pkg-install
parent42c04c0ba092ba8858cbd460b3b5e3dea1a7bfe8 (diff)
downloadFreeBSD-ports-abd7fc12483fccd9efb9d13b2313a30b5c666683.zip
FreeBSD-ports-abd7fc12483fccd9efb9d13b2313a30b5c666683.tar.gz
PowerDNS is an advanced DNS server, which allows for several different
backends. Current backends include MySQL, PostgreSQL, bind, etc. WWW: http://www.powerdns.com/ License: GPL Patches obtained from: OpenBSD <maurice@amaze.nl>
Diffstat (limited to 'dns/powerdns/pkg-install')
-rw-r--r--dns/powerdns/pkg-install91
1 files changed, 91 insertions, 0 deletions
diff --git a/dns/powerdns/pkg-install b/dns/powerdns/pkg-install
new file mode 100644
index 0000000..887a8d1
--- /dev/null
+++ b/dns/powerdns/pkg-install
@@ -0,0 +1,91 @@
+#!/bin/sh
+# $OpenBSD$
+#
+# Pre/post-installation setup of powerdns
+
+# exit on errors, use a sane path and install prefix
+#
+set -e
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+PREFIX=${PKG_PREFIX:-/usr/local}
+CONFIG_DIR=${SYSCONFDIR}
+CONFIG_FILE=$CONFIG_DIR/pdns.conf
+SAMPLE_CONFIG_DIR=$PREFIX/share/examples/powerdns
+
+# Function: warn the user about possible problems with this port.
+#
+do_warning()
+{
+ echo "+---------------"
+ echo "| Be aware that PowerDNS still has some stability problems"
+ echo "| on OpenBSD. These problems might be the result of an too"
+ echo "| old or too buggy compiler."
+ echo "|"
+ echo "| In any case, don't expect PowerDNS to work flawlessly"
+ echo "| without dumping some core once in a while."
+ echo "+---------------"
+ echo
+}
+
+# Function: tell the user what s/he needs to do to use the port just installed
+#
+do_notice()
+{
+ echo
+ echo "+---------------"
+ echo "| The existing $1 configuration files in $CONFIG_DIR,"
+ echo "| have NOT been changed. You may want to compare them to the"
+ echo "| current sample files, $SAMPLE_CONFIG_DIR,"
+ echo "| and update your configuration as needed."
+ echo "+---------------"
+ echo
+
+ do_warning
+}
+
+# Function: install the powerdns configuration file from the sample
+#
+do_install()
+{
+ install -d -o root -g wheel -m 755 $CONFIG_DIR
+ install -o root -g wheel -m 600 $SAMPLE_CONFIG_DIR/pdns.conf $CONFIG_FILE
+ echo
+ echo "+---------------"
+ echo "| The $1 configuration files in $CONFIG_DIR,"
+ echo "| have been installed. Please view these files and change"
+ echo "| the configuration to meet your needs."
+ echo "+---------------"
+ echo
+
+ do_warning
+}
+
+# verify proper execution
+#
+if [ $# -ne 2 ]; then
+ echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
+ exit 1
+fi
+
+# Verify/process the command
+#
+case $2 in
+ PRE-INSTALL)
+ : nothing to pre-install for this port
+ ;;
+ POST-INSTALL)
+ if [ ! -d $CONFIG_DIR ]; then
+ do_install $1
+ elif [ ! -f $CONFIG_FILE ]; then
+ do_install $1
+ else
+ do_notice $1
+ fi
+ ;;
+ *)
+ echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
OpenPOWER on IntegriCloud